Scriptname GTscrpt2PintsADay extends ObjectReference  

Import Utility
Import Game
Import Debug

potion property MilkPot auto
{potion added when harvested}

ingredient property MilkIng auto
{ingredient added when harvested}

sound property HarvestSound auto
{Sounds played on harvest}

Event OnActivate(Objectreference akActivator)

Actor Player = GetPlayer()

;Add 2 pints to the player inventory
HarvestSound.play(self)

If MilkPot
Player.AddItem(MilkPot,2,true)
EndIf

If MilkIng
Player.AddItem(MilkIng,2,true)
EndIf

;Tell the player he's got his milk and no more till tomorrow
Notification("2 Pints Of Milk Added! Come Back Tomorrow For More!")

;Disable the trigger so you can't activate it again
Self.Disable()

;Now we make the trigger wait for 24 game hours
Utility.WaitGameTime(24.0)

;Then we turn the trigger back on and repeat
Self.Enable()

EndEvent